Issue595

Title Set stage to 'resolved' when an issue is closed
Priority feature Status resolved
Superseder Nosy List berker.peksag, ezio.melotti, r.david.murray
Assigned To Topics

Created on 2016-06-09.07:04:50 by berker.peksag, last changed 2017-02-03.08:38:10 by berker.peksag.

Files
File name Uploaded Type Edit Remove
setresolved.diff berker.peksag, 2016-06-09.07:04:50 text/plain
Messages
msg3041 (view) Author: berker.peksag Date: 2016-06-09.07:04:50
From https://wiki.python.org/moin/DesiredTrackerFeatures

> When an issue is closed stage should be automatically set to 'resolved'.
msg3056 (view) Author: r.david.murray Date: 2016-07-01.15:04:18
Looks OK to me (without testing it).  You probably meant to write 'status_changed' twice in the assignment for status_close, though.
msg3241 (view) Author: berker.peksag Date: 2017-02-02.19:07:15
I tested this again and addressed David's review comment. Applied in https://hg.python.org/tracker/python-dev/rev/5b89f6f8abd3
History
Date User Action Args
2017-02-03 08:38:10berker.peksagsetstatus: testing -> resolved
2017-02-02 19:07:15berker.peksagsetstatus: chatting -> testing
messages: + msg3241
2016-07-01 15:04:18r.david.murraysetstatus: unread -> chatting
messages: + msg3056
2016-06-09 07:06:12berker.peksagsetnosy: + r.david.murray, ezio.melotti
2016-06-09 07:04:50berker.peksagcreate